Package org.silverpeas.components.gallery.web

# Class StreamingEntity

java.lang.Object
org.silverpeas.components.gallery.web.AbstractMediaEntity<StreamingEntity>
org.silverpeas.components.gallery.web.StreamingEntity

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.web.rs.WebEntity`

public class StreamingEntity extends AbstractMediaEntity<StreamingEntity>

Author:
  Yohann Chastagnier
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `StreamingEntity()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StreamingEntity`
  `createFrom(Streaming streaming)`
  Creates a new streaming entity from the specified streaming.
  `org.silverpeas.core.media.streaming.StreamingProvider`
  `getProvider()`
  `void`
  `setProvider(org.silverpeas.core.media.streaming.StreamingProvider provider)`

  ### Methods inherited from class org.silverpeas.components.gallery.web.AbstractMediaEntity

  `equals, getAuthor, getDescription, getHeight, getId, getParentURI, getThumbUrl, getTitle, getType, getURI, getUrl, getWidth, hashCode, setAuthor, setDescription, setId, setTitle, setType, withHeight, withOriginalUrl, withParentURI, withThumbUrl, withURI, withWidth`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StreamingEntity

    protected StreamingEntity()

- ## Method Details

  - ### createFrom

    public static StreamingEntity createFrom(Streaming streaming)
    Creates a new streaming entity from the specified streaming.
    Parameters:
      `streaming` - the media streaming from which the entity is constructed.
    Returns:
      the entity representing the specified streaming.

  - ### getProvider

    public org.silverpeas.core.media.streaming.StreamingProvider getProvider()

  - ### setProvider

    public void setProvider(org.silverpeas.core.media.streaming.StreamingProvider provider)